# List Items

## Endpoint

<mark style="color:green;">**`GET`**</mark> `https://api.xtrakit.com/api/v1/inventory/items`

## Headers

`Authorization: Bearer API_KEY`

## **Query Parameters**

<table><thead><tr><th>Parameters</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><p>category_id</p><p>int</p></td><td>Optional</td><td>Filters items by the category.</td></tr><tr><td><p>created_at </p><p><em><strong>datetime</strong></em></p></td><td>Optional</td><td><p>Start date for filtering items records</p><p><code>(format: YYYY-MM-DD H:m:s)</code></p></td></tr><tr><td><p>updated_at </p><p><em><strong>date</strong></em></p></td><td>Optional</td><td><p>End date for filtering items records</p><p><code>(format: YYYY-MM-DD)</code></p></td></tr></tbody></table>

## Sample Requests <a href="#sample-requests" id="sample-requests"></a>

{% tabs %}
{% tab title="PHP" %}
{% code fullWidth="true" %}

```php
<?php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.xtrakit.com/api/v1/inventory/items',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer API_KEY', // Replace 'API_KEY' with your actual API key
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

?>
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const config = {
    method: 'get',
    url: 'https://api.xtrakit.com/api/v1/inventory/items',
    headers: {
        'Authorization': 'Bearer API_KEY' // Replace 'API_KEY' with your actual API key
    }
};

axios(config).then(function(response) {
    console.log(JSON.stringify(response.data));
}).catch(function(error) {
    console.error(error);
});
```

{% endtab %}

{% tab title="Python" %}

<pre class="language-python"><code class="lang-python">import requests

url = "https://api.xtrakit.com/api/v1/inventory/items"
<strong>
</strong><strong>headers = {
</strong>    "Authorization": "Bearer API_KEY" # Replace 'API_KEY' with your actual API key
}

response = requests.get(url, headers=headers)
print(response.json())
</code></pre>

{% endtab %}
{% endtabs %}

## Sample Response

{% tabs %}
{% tab title="Success" %}

```json
{
    "status": 200,
    "message": "Items found: 20",
    "data": {
        "items": {
            "id": 1,
            "item_code": " Jce84a50",
            "item_name": "HP Laptop",
            "item_images": [
                    {
                        "id": 11,
                        "image_url": "https://pub-60b577bb37f54e02b085ea3d4d65a159.r2.dev/items/33123516/image1.jpg"
                    },
                    {
                        "id": 14,
                        "image_url": "https://pub-60b577bb37f54e02b085ea3d4d65a159.r2.dev/items/33123516/image2.jpg"
                    },
                    {
                        "id": 15,
                        "image_url": "https://pub-60b577bb37f54e02b085ea3d4d65a159.r2.dev/items/33123516/image3.jpg"
                    }
                ],
            "category_id": 1,
            "unit": "pcs",
            "description": "High-end gaming laptop with advanced graphics and processing power.",
            "unit_cost": 1000.00,
            "item_price": 1500.00,
            "previous_price": 1400.00,
            "quantity": "20",
            "minimum_qty_alert": "5",
            "online": 1,
            "status": "in-stock",
            "barcode": "123456789",
            "sku": "LAPTOP001",
            "warehouse_id": 2,
            "item_location": "A1",
            "item_slug": "laptop",
            "created_at": "2024-08-04 08:23:45",
            "updated_at": "2024-08-04 02:00:43"
        },
        ...
    }
}
```

{% endtab %}

{% tab title="Error" %}

```json
{
    "status": 401,
    "error": "Authentication invalid"
},

{
    "status": 401,
    "error": "Unauthorized: Invalid API Key"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xtrakit.com/overview/inventory/list-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
